export declare const LlUploadImage: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly width: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
    readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
    readonly isDrag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, BooleanConstructor], unknown, unknown, "", boolean>;
    readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
    readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 30, boolean>;
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | string[]>, unknown, unknown, readonly [], boolean>;
    readonly imgLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly useBase64: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 1, boolean>;
    readonly accept: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, ".jpg,.png,.jpeg,.svg", boolean>;
    readonly imgSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 2, boolean>;
    readonly beforeUpload: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(file: import("ant-design-vue/es/upload/interface").FileType, FileList: import("ant-design-vue/es/upload/interface").FileType[]) => (string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType) | Promise<string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType>>, unknown, unknown, () => true, boolean>;
    readonly customRequest: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(options: import("ant-design-vue/es/vc-upload/interface").UploadRequestOption<any>, base64: string) => void>, unknown, unknown, () => void, boolean>;
    readonly isPreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly isDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly width: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
        readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
        readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
        readonly isDrag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, BooleanConstructor], unknown, unknown, "", boolean>;
        readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
        readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 30, boolean>;
        readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | string[]>, unknown, unknown, readonly [], boolean>;
        readonly imgLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly useBase64: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly maxCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 1, boolean>;
        readonly accept: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, ".jpg,.png,.jpeg,.svg", boolean>;
        readonly imgSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 2, boolean>;
        readonly beforeUpload: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(file: import("ant-design-vue/es/upload/interface").FileType, FileList: import("ant-design-vue/es/upload/interface").FileType[]) => (string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType) | Promise<string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType>>, unknown, unknown, () => true, boolean>;
        readonly customRequest: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(options: import("ant-design-vue/es/vc-upload/interface").UploadRequestOption<any>, base64: string) => void>, unknown, unknown, () => void, boolean>;
        readonly isPreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly isDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    }>> & Readonly<{
        onChange?: (value: string | string[]) => any;
        "onUpdate:value"?: (value: string | string[]) => any;
    }> & {}>;
    emits: ((event: "change", value: string | string[]) => void) & ((event: "update:value", value: string | string[]) => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    attrs: import("vue").Attrs;
    fileList: import("vue").Ref<any[], any[]>;
    imageVisible: import("vue").Ref<boolean, boolean>;
    innerValue: import("vue").Ref<string[], string[]>;
    formItemContext: import("ant-design-vue/es/form/FormItemContext").FormItemContext;
    getBindValue: import("vue").ComputedRef<{
        [x: number]: unknown;
    }>;
    getImgBindValue: import("vue").ComputedRef<{
        [k: string]: unknown;
    }>;
    getSizeStyle: (size: any) => string;
    handleDragEvent: (e: DragEvent) => void;
    getBorderType: import("vue").ComputedRef<"" | "dashed" | "solid" | "dotted">;
    computedAccept: import("vue").ComputedRef<string>;
    computedTip: import("vue").ComputedRef<string>;
    computedMultiple: import("vue").ComputedRef<boolean>;
    beforeUpload: (file: import("ant-design-vue/es/upload/interface").FileType, FileList: import("ant-design-vue/es/upload/interface").FileType[]) => Promise<string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType>;
    customRequest: (options: import("ant-design-vue/es/vc-upload/interface").UploadRequestOption<any>) => void;
    handleRemoveImage: () => Promise<void>;
    setValue: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    readonly change: (value: string | string[]) => boolean;
    readonly 'update:value': (value: string | string[]) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly width: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly borderRadius: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "6px", boolean>;
    readonly borderType: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "dashed" | "solid" | "dotted", unknown, "dashed", boolean>;
    readonly isDrag: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly uploadTitle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly uploadTip: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, BooleanConstructor], unknown, unknown, "", boolean>;
    readonly uploadIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "icon-add", boolean>;
    readonly uploadIconSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 30, boolean>;
    readonly value: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<string | string[]>, unknown, unknown, readonly [], boolean>;
    readonly imgLoading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly useBase64: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly maxCount: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 1, boolean>;
    readonly accept: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, ".jpg,.png,.jpeg,.svg", boolean>;
    readonly imgSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 2, boolean>;
    readonly beforeUpload: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(file: import("ant-design-vue/es/upload/interface").FileType, FileList: import("ant-design-vue/es/upload/interface").FileType[]) => (string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType) | Promise<string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType>>, unknown, unknown, () => true, boolean>;
    readonly customRequest: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<(options: import("ant-design-vue/es/vc-upload/interface").UploadRequestOption<any>, base64: string) => void>, unknown, unknown, () => void, boolean>;
    readonly isPreview: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly isDelete: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
}>> & Readonly<{
    onChange?: (value: string | string[]) => any;
    "onUpdate:value"?: (value: string | string[]) => any;
}>, {
    readonly value: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | string[]>, unknown, unknown>;
    readonly width: number;
    readonly height: number;
    readonly borderRadius: string;
    readonly accept: string;
    readonly beforeUpload: (file: import("ant-design-vue/es/upload/interface").FileType, FileList: import("ant-design-vue/es/upload/interface").FileType[]) => (string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType) | Promise<string | boolean | void | Blob | import("ant-design-vue/es/upload/interface").FileType>;
    readonly customRequest: (options: import("ant-design-vue/es/vc-upload/interface").UploadRequestOption<any>, base64: string) => void;
    readonly maxCount: number;
    readonly borderType: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "dashed" | "solid" | "dotted", unknown>;
    readonly isDrag: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly uploadTitle: string;
    readonly uploadTip: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, BooleanConstructor], unknown, unknown>;
    readonly uploadIcon: string;
    readonly uploadIconSize: number;
    readonly imgLoading: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly useBase64: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly imgSize: number;
    readonly isPreview: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly isDelete: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export default LlUploadImage;
export * from './src/upload-image';
declare module 'vue' {
    interface GlobalComponents {
        LlUploadImage: typeof LlUploadImage;
    }
}
